#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: monad-par
version: 0.3.4.7
id: monad-par-0.3.4.7-9bc2cb613bc37a8ec7576fc58ad64487
key: monad_HegpQ0fPHFW7LPSm8gmwdQ
license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/monad-par-0.3.4.7
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/monad-par-0.3.4.7
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/monad-par-0.3.4.7
hs-libraries: HSmonad-par-0.3.4.7-HegpQ0fPHFW7LPSm8gmwdQ
include-dirs: /usr/local/include
depends:
    abstract-deque-0.3-32a63b99fe33383ef46fcb3345021451
    abstract-par-0.3.3-46ee0937f645d36534337b6849c1890e
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    monad-par-extras-0.3.3-cab8e0b1bfda7407376fdcf0f729d6b3
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    mwc-random-0.13.3.2-d34b71cffda90fee88cf96e0e6b50990
    parallel-3.2.0.6-8d3b701e5e226adf3c5602966a8a78d7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/monad-par-0.3.4.7/html/monad-par.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/monad-par-0.3.4.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
